Bug 975776 - Fault Work Item Action should be a checkbox or a drop down list
Fault Work Item Action should be a checkbox or a drop down list
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER2
: ---
Assigned To: Rob Cernich
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 06:18 EDT by Jiri Pechanec
Modified: 2014-06-16 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1609 Major Closed Fix Fault config attributes for SwitchYard Service Task 2014-06-16 19:52:29 EDT

  None (edit)
Description Jiri Pechanec 2013-06-19 06:18:17 EDT
If a SwitchYard Service Task is configured to pass the fault to a decision gatewayit is necessary to fill Fault Work Item Action. This parameter must contain one of two magical strings - ABORTED, COMPLETED. This is wrong from usability POV - there should be a checkbox or drop down list.
Comment 1 Rob Cernich 2013-08-13 12:56:42 EDT
The fix for this should be available in SwitchYard 1.0.0.Final.

Note, only the property dialog was affected; the drop list was previously visible in the properties view.
Comment 5 Jiri Pechanec 2013-10-10 01:59:51 EDT
Verified in ER4
Comment 6 JBoss JIRA Server 2014-06-16 19:52:29 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1609 to Closed

Note You need to log in before you can comment on or make changes to this bug.